Method: projects.locations.jobs.list

Lists Jobs in a given project.

HTTP request

GET https://storagebatchoperations.googleapis.com/v1/{parent=projects/*/locations/*}/jobs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Format: projects/{projectId}/locations/global.

Query parameters

Parameters
filter

string

Optional. Filters results as defined by AIP-160.

pageSize

integer

Optional. The list page size. The default page size is 100.

pageToken

string

Optional. The list page token.

orderBy

string

Optional. Field to sort by. Supported fields are name and createTime.

Request body

The request body must be empty.

Response body

Message for response to listing Jobs

If successful, the response body contains data with the following structure:

JSON representation
{
  "jobs": [
    {
      object (Job)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
jobs[]

object (Job)

A list of storage batch jobs.

nextPageToken

string

A token identifying a page of results.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • storagebatchoperations.jobs.list

For more information, see the IAM documentation.